MCP Tools Reference: classroommcp.googleapis.com

Tool: get_guardian_info

Retrieves guardian names for the given students. Get student IDs from get_course_roster.

The following code sample shows how to use curl to call the get_guardian_info MCP tool.

Curl Request
curl --location 'https://classroommcp.googleapis.com/mcp/v1' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_guardian_info",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request to retrieve guardian information for students.

GetGuardianInfoRequest

JSON representation
{
  "studentIds": [
    string
  ],
  "pageSize": integer,
  "pageToken": string
}
Fields
studentIds[]

string

Required. Identifiers of the students. At most 50 IDs per request.

pageSize

integer

Optional. Number of guardians per page. Defaults to 10; max 50.

pageToken

string

Optional. Token for pagination.

Output Schema

Response containing guardian information for students.

GetGuardianInfoResponse

JSON representation
{
  "guardians": [
    {
      object (GuardianInfo)
    }
  ],
  "nextPageToken": string
}
Fields
guardians[]

object (GuardianInfo)

The list of guardians.

nextPageToken

string

Token to retrieve the next page of results.

GuardianInfo

JSON representation
{
  "studentId": string,
  "name": string,
  "studentName": string
}
Fields
studentId

string

Identifier of the student this guardian is associated with.

name

string

Display name of the guardian.

studentName

string

Output only. Name of the student. Omitted if it couldn't be looked up.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌

Authorization Scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/classroom.guardianlinks.students
  • https://www.googleapis.com/auth/classroom.guardianlinks.students.readonly
  • https://www.googleapis.com/auth/classroom.rosters.readonly